<h2 mat-dialog-title>Assign Tenant to Unit</h2>
<mat-divider></mat-divider>
<form [formGroup]="assignTenantToUnitGroup">
  <div mat-dialog-content class="assign-tenant-content">
      <div fxLayout="row" fxLayout.lt-sm="column" class="assign-tenant-form">
        <mat-label class='required-label-color'>Unit#: </mat-label>
        <mat-form-field appearance="outline" class="regular-mat-form-field" placeholder="Select">
          <mat-select formControlName="unitIDCtrl">
            <mat-option [value]="0">Select One</mat-option>
            <mat-option *ngFor="let unit of onlineUnits" [value]="unit.unitID">
                {{unit.unitName}}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="assignTenantToUnitGroup.get('unitIDCtrl').invalid">Unit is mandatory.</mat-error>
        </mat-form-field>
      </div>
      <span class='required-label-color'>If the unit number is not listed please go to the unit roster and update the unit profile to include missing unit details.</span>

  </div>
  <mat-divider></mat-divider>
  <div mat-dialog-actions>
    <span class="idle-button" style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
      <button type="button" mat-raised-button color="primary" [disabled]="!assignTenantToUnitGroup.valid" (click)="onOKClick()" cdkFocusInitial>OK</button>
      <button type="button" mat-raised-button color="primary" (click)="onCancelClick()">Cancel</button>
    </span>

  </div>
</form>
